//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "BackgroundTriangles1.h"
#include "BackgroundTriangles2.h"
#include "MainAtlas.h"
#include "EventAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerSingleImage(shared_ptr<SingleImage>(new BackgroundTriangles1()));
	registerSingleImage(shared_ptr<SingleImage>(new BackgroundTriangles2()));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic.otf"), 64, L"Font0")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic.otf"), 32, L"Font1")));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new EventAtlas()));
}
